﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=12
@EndOfDesignText@
Sub Class_Globals
	
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private pMP As B4XMainPage 'this is by itself not enough to get variables from B4XMainPage!
	
	Private pnlMenuBar As B4XView
	Private lblMenuGroup2 As B4XView
	
	Private arrMenuButtons() As B4XView

End Sub

'You can add more parameters here.
Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	
	Dim i As Int
	
	Root = Root1
	
	'load the layout to Root
	Root.LoadLayout("MenuBarPanel")
	pnlMenuBar.LoadLayout("MenuBar3")
	
	'note that data in this array starts at the row with index General.eMenuButtonType.Appointments
	'this is to keep it in line with the array holding all the menu parameters (as provided by the .csv file), pMP.arrMenu
	'---------------------------------------------------------------------------------------------------------------------
	arrMenuButtons = General.GetMenuButtons(pnlMenuBar, General.eMenuButtonType.Previous_Patients)
	
	'this is needed! Otherwise we get errors such as: java.lang.reflect.InvocationTargetException
	'--------------------------------------------------------------------------------------------
	pMP = B4XPages.GetPage("MainPage")
	
	For i = General.eMenuButtonType.Previous_Patients To General.eMenuButtonType.Help1 'overflow button has no bitmap
		arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1)
	Next
	
End Sub

Sub btnMenu_Click
	
	Dim i As Int
	Dim e As B4XView = Sender
	Dim iButtonTag As Int = e.Tag
	
	'ignore items that have no corresponding app panel as for example pnlBP, so ignore overflow buttons
	If pMP.arrMenu(iButtonTag).iPanelID <> -1 Then
		For i = General.eMenuButtonType.Previous_Patients To General.eMenuButtonType.Help1 '8 to 13
			'Log("|" & cMenu.arrMenu(i).strTitle1 & "|")
			If i = iButtonTag Then
				'clicked button
				If pMP.arrMenu(i).bHighlighted = False Then
					pMP.arrMenu(i).bHighlighted = True
					arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1HL)
				End If
			Else
				If pMP.arrMenu(i).bHighlighted Then
					pMP.arrMenu(i).bHighlighted = False
					arrMenuButtons(i).SetBitmap(pMP.arrMenu(i).bmpIconBitMap1)
				End If
			End If
		Next
		lblMenuGroup2.Text = pMP.arrMenu(iButtonTag).strTitle1
	End If
	
	Select Case iButtonTag
		Case 8
			
		Case 9
			
	End Select
	
End Sub

Sub pnlMenuBar_Touch(Action As Int, X As Float, Y As Float)
	
	If x > lblMenuGroup2.Width Then Return
	
	If Action = 1 Then
		If x / lblMenuGroup2.Width > 0.5 Then
			B4XPages.ShowPage("Page3")
		Else
			B4XPages.ShowPage("Page1")
		End If
	End If
	
End Sub
