﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=12
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.

Sub Process_Globals

	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public iSDKVersion As Int
	Public strPackageName As String
	
	Type MenuButtonType(FindPatient As Int, _ 'menu group 1
						SinglePatient As Int, _
						Medications As Int, _
						Issues As Int, _
						Values As Int, _
						Problems As Int, _
						BP As Int, _
						Overflow1 As Int, _ 
						Appointments As Int, _ 'menu group 2
						Referrals As Int, _
						Consultations As Int, _
						Diary As Int, _
						Vaccinations As Int, _
						Registration_History As Int, _
						Overflow2 As Int, _ 
						Previous_Patients As Int, _ 'menu group 3
						ShowMap As Int, _
						Phone_Patient As Int, _
						Help1 As Int, _
						Overflow3 As Int, _
						SQL As Int, _ 'menu group 4
						Clear_SQL As Int, _
						Copy_SQL As Int, _
						Paste_SQL As Int, _
						Show_Chart As Int, _
						One_Click_SQL As Int, _
						Change_DB As Int, _ 
						Overflow4 As Int, _
						SettingsClose As Int, _
						PreviousSettingsPage As Int, _ 'menu group 5
						NextSettingsPage As Int, _
						Overflow5 As Int, _
						CalculatorsClose As Int, _
						PreviousCalculator As Int, _ 'menu group 6
						NextCalculator As Int, _
						Overflow6 As Int, _
						About As Int, _ '<<<<<< start of overflow menu >>>>>>
						Settings As Int, _
						SQLMenu As Int, _  'triggers sub-menu 
						Show_All_Run_SQL, _				
						CopyCellFromTable As Int, _
						Alter_TableCell As Int, _ 
						SaveOne_Click As Int, _
						SQL_Folders As Int, _
						SQL_Parameters As Int, _
						SQL_Shortcuts As Int, _
						SQL_Suggestions As Int, _
						GetChar_Unicode As Int, _
						TableCellsForSQLINClause As Int, _
						SetStartupSQL As Int, _
						Explain_SQL As Int, _
						Explain_Query_Plan As Int, _
						SQLResult2Table As Int, _
						RunSQLFolder As Int, _
						SQL_Formatting As Int, _
						ShowSQLResultAsMsg As Int, _
						Log_App_SQL As Int, _
						Show_Logged_App_SQL As Int, _ '----------------------
						FileMenu As Int, _ 'triggers sub-menu
						Grid2CSV As Int, _
						SQL2CSV As Int, _ 
						SQL2XLS As Int, _ 
						ImportCSV As Int, _
						Show_XLS As Int, _
						Show_TXT_CSV As Int, _
						Import_Table_From_DB As Int, _ '---------------
						MapMenu As Int, _ 'triggers sub-menu
						GPS_On_Off As Int, _
						UpdateAddressLatLon As Int, _
						UpdatePharmaciesLatLon As Int, _
						GetLatLonFromText, _
						ListPatients2Map As Int, _
						ListPatientsAtAddress As Int, _
						PlaybackJourney As Int, _
						UpdateMap As Int, _ '------------------
						Calculators As Int, _ 'triggers sub-menu
						BMI As Int, _
						EDD As Int, _
						Well_Score As Int, _
						QRisk As Int, _
						HbA1c_Converter As Int, _
						HtWt_Centiles As Int, _
						PredictedPEF As Int, _
						CHADS2 As Int, _
						CHADSVAS As Int, _
						Screenshot As Int, _
						GroupAndCount As Int, _
						CountDown As Int, _
						Dev_Test As Int, _
						Help2 As Int, _
						DevHelp As Int, _
						ExitApp As Int)
						
	Public eMenuButtonType As MenuButtonType
	
	'menu group 1
	eMenuButtonType.FindPatient = 0
	eMenuButtonType.SinglePatient = 1
	eMenuButtonType.Medications = 2
	eMenuButtonType.Issues = 3
	eMenuButtonType.Values = 4
	eMenuButtonType.Problems = 5
	eMenuButtonType.BP = 6
	eMenuButtonType.Overflow1 = 7
	
	'menu group 2
	eMenuButtonType.Appointments = 8
	eMenuButtonType.Referrals = 9
	eMenuButtonType.Consultations = 10
	eMenuButtonType.Diary = 11
	eMenuButtonType.Vaccinations = 12
	eMenuButtonType.Registration_History = 13
	eMenuButtonType.Overflow2 = 14
	
	'menu group 3
	eMenuButtonType.Previous_Patients = 15
	eMenuButtonType.ShowMap = 16
	eMenuButtonType.Phone_Patient = 17
	eMenuButtonType.Help1 = 18
	eMenuButtonType.Overflow3 = 19
	
	'menu group 4
	eMenuButtonType.SQL = 20
	eMenuButtonType.Clear_SQL = 21
	eMenuButtonType.Copy_SQL = 22
	eMenuButtonType.Paste_SQL = 23
	eMenuButtonType.Show_Chart = 24
	eMenuButtonType.One_Click_SQL = 25
	eMenuButtonType.Change_DB = 26
	eMenuButtonType.Overflow4 = 27
	
	'menu group 5 (for Settings panels)
	eMenuButtonType.SettingsClose = 28
	eMenuButtonType.PreviousSettingsPage = 29
	eMenuButtonType.NextSettingsPage = 30
	eMenuButtonType.Overflow5 = 31
	
	'menu group 6 (for Calculator panels)
	eMenuButtonType.CalculatorsClose = 32
	eMenuButtonType.PreviousCalculator = 33
	eMenuButtonType.NextCalculator = 34
	eMenuButtonType.Overflow6 = 35
	
	'----------------------------<<< start of overflow menu, initial menu is overflow group 0, holding 12 items
	eMenuButtonType.About = 36
	eMenuButtonType.Settings = 37
	
	eMenuButtonType.SQLMenu = 38 'triggers sub-menu, overflow group 1 >>>>
	eMenuButtonType.Show_All_Run_SQL = 39
	eMenuButtonType.CopyCellFromTable = 40
	eMenuButtonType.TableCellsForSQLINClause = 41
	eMenuButtonType.Alter_TableCell = 42
	eMenuButtonType.SaveOne_Click = 43
	eMenuButtonType.SQL_Folders = 44
	eMenuButtonType.SQL_Parameters = 45
	eMenuButtonType.SQL_Shortcuts = 46
	eMenuButtonType.SQL_Suggestions = 47
	eMenuButtonType.GetChar_Unicode = 48
	eMenuButtonType.SetStartupSQL = 49
	eMenuButtonType.Explain_SQL = 50
	eMenuButtonType.Explain_Query_Plan = 51
	eMenuButtonType.SQLResult2Table = 52
	eMenuButtonType.RunSQLFolder = 53
	eMenuButtonType.SQL_Formatting = 54
	eMenuButtonType.ShowSQLResultAsMsg = 55
	eMenuButtonType.Log_App_SQL = 56
	eMenuButtonType.Show_Logged_App_SQL = 57
	
	eMenuButtonType.FileMenu = 58 'triggers sub-menu, overflow group 2 >>>>
	eMenuButtonType.Grid2CSV = 59
	eMenuButtonType.SQL2CSV = 60
	eMenuButtonType.SQL2XLS = 61
	eMenuButtonType.ImportCSV = 62
	eMenuButtonType.Show_XLS = 63
	eMenuButtonType.Show_TXT_CSV = 64
	eMenuButtonType.Import_Table_From_DB = 65
	
	eMenuButtonType.MapMenu = 66 'triggers sub-menu, overflow group 3 >>>>
	eMenuButtonType.GPS_On_Off = 67
	eMenuButtonType.UpdateAddressLatLon = 68
	eMenuButtonType.UpdatePharmaciesLatLon = 69
	eMenuButtonType.GetLatLonFromText = 70
	eMenuButtonType.ListPatients2Map = 71
	eMenuButtonType.ListPatientsAtAddress = 72
	eMenuButtonType.PlaybackJourney = 73
	eMenuButtonType.UpdateMap = 74
	
	eMenuButtonType.Calculators = 75   'triggers sub-menu, overflow group 4 >>>>
	eMenuButtonType.BMI = 76
	eMenuButtonType.CHADS2 = 77
	eMenuButtonType.CHADSVAS = 78
	eMenuButtonType.EDD = 79
	eMenuButtonType.HbA1c_Converter = 80
	eMenuButtonType.HtWt_Centiles = 81
	eMenuButtonType.PredictedPEF = 82
	eMenuButtonType.QRisk = 83
	eMenuButtonType.Well_Score = 84
	
	'these are the remaining items of overflow group 0
	eMenuButtonType.Screenshot = 85
	eMenuButtonType.GroupAndCount = 86
	eMenuButtonType.CountDown = 87
	eMenuButtonType.Dev_Test = 88
	eMenuButtonType.Help2 = 89
	eMenuButtonType.DevHelp = 90
	eMenuButtonType.ExitApp = 91
	
	Type tMenuProps(iButtonID As Int, _
				iMenuPanelID As Int, _
			    strIconFile1 As String, _
			    strIconFile2 As String, _
			    strTitle As String, _
			    strTitle1 As String, _
			    strTitle2 As String, _
			    bmpIconBitMap1 As Bitmap, _
			    bmpIconBitMap1HL As Bitmap, _
			    bmpIconBitMap2 As Bitmap, _
			    bmpIconBitMap2HL As Bitmap, _				   
			    iIconFont As Int, _
			    iTextColour As Int, _
				iPanelID As Int, _
			    iIconChar As Int, _
			    iIconColour As Int, _
			    bIconBold As Boolean, _
			    iOverFlowGroup As Int, _
			    bMenuSeparator As Boolean, _
			    iMenuGroup As Int, _
			    bHighlighted As Boolean, _
			    iVerticalAdjust As Int, _
			    iHorizontalAdjust As Int)
				
End Sub

Public Sub GetMenuButtons(pnlMenu As B4XView, iFirstIDX As Int) As B4XView()
	
	Dim lstButtons As List
	
	lstButtons.Initialize
	
	For Each v As B4XView In pnlMenu.GetAllViewsRecursive
		If v Is Button Then
			lstButtons.Add(v)
		End If
	Next
	
	Dim arrButtons(lstButtons.Size + iFirstIDX) As B4XView
	
	For i = 0 To lstButtons.Size - 1
		arrButtons(i + iFirstIDX) = lstButtons.Get(i)
	Next
	
	Return arrButtons
	
End Sub